package org.bench4q.monitor.performance.windows;

public class TCPv6Monitor {
	public native String[] getCounterList();

	public native double getSegmentsPerSecond(int idleTime);

	public native double getConnectionsEstablished();

	public native double getConnectionsActive();

	public native double getConnectionsPassive();

	public native double getConnectionFailures();

	public native double getConnectionsReset();

	public native double getSegmentsReceivedPerSecond(int idleTime);

	public native double getSegmentsSentPerSecond(int idleTime);

	public native double getSegmentsRetransmittedPerSecond(int idleTime);
}
